# class Byebug::InfoCommand::LineCommand

Information about current location

### Public Class Methods

description() click to toggle source

    # File lib/byebug/commands/info/line.rb, line 18
          def self.description
            <<-DESCRIPTION
              inf[o] l[ine]

              #{short_description}
            DESCRIPTION
          end

regexp() click to toggle source

    # File lib/byebug/commands/info/line.rb, line 14
    def self.regexp
      /^\s* l(?:ine)? \s*$/x
    end

short_description() click to toggle source

    # File lib/byebug/commands/info/line.rb, line 26
    def self.short_description
      "Line number and file name of current position in source file."
    end

### Public Instance Methods

execute() click to toggle source

    # File lib/byebug/commands/info/line.rb, line 30
    def execute
      puts "Line #{frame.line} of \"#{frame.file}\""
    end